org.gradle.api.artifacts

## Interface ExcludeRule

-     public interface ExcludeRule

  An `ExcludeRule` is used to describe transitive dependencies that should be excluded when resolving dependencies.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GROUP_KEY`
    `static String` | `MODULE_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The exact name of the organization or group that should be excluded.
    `String` | `getModule()` The exact name of the module that should be excluded.

- - ### Field Detail

    - #### GROUP_KEY

          static final String GROUP_KEY

      See Also:
        Constant Field Values

    - #### MODULE_KEY

          static final String MODULE_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGroup

          String getGroup()

      The exact name of the organization or group that should be excluded.

    - #### getModule

          String getModule()

      The exact name of the module that should be excluded.